#include "maFenetre.hpp"

#include <iostream>

#include <ui_mainwindow.h>

maFenetre::maFenetre(QWidget *parent)
    :QMainWindow(parent),ui(new Ui::MainWindow)
{
    std::cout<<"Generation de la fenetre"<<std::endl;

    ui->setupUi(this);

    connect(ui->checkBox,SIGNAL(clicked()),this,SLOT(actionCheckBox1()));
    connect(ui->checkBox_2,SIGNAL(clicked()),this,SLOT(actionCheckBox2()));
    connect(ui->Button_1,SIGNAL(clicked()),this,SLOT(actionButton1()));
    connect(ui->Button_2,SIGNAL(clicked()),this,SLOT(actionButton2()));
    connect(ui->Button_3,SIGNAL(clicked()),this,SLOT(actionButton3()));
    connect(ui->Button_4,SIGNAL(clicked()),this,SLOT(actionButton4()));
    connect(ui->Button_5,SIGNAL(clicked()),this,SLOT(actionButton5()));
    connect(ui->lineEdit,SIGNAL(editingFinished()),this,SLOT(actionTextEdit()));
}

maFenetre::~maFenetre()
{
    std::cout<<"Destruction fenetre"<<std::endl;
    if(ui!=NULL)
    {
        delete ui;
        ui=NULL;
    }
}

void maFenetre::actionCheckBox1()
{
    std::cout<<"CheckBox 1 click: "<<ui->checkBox->isChecked()<<std::endl;
}
void maFenetre::actionCheckBox2()
{
    std::cout<<"CheckBox 2 click: "<<ui->checkBox_2->isChecked()<<std::endl;
}
void maFenetre::actionButton1()
{
    std::cout<<"Button 1 click"<<std::endl;
}
void maFenetre::actionButton2()
{
    std::cout<<"Button 2 click"<<std::endl;
}
void maFenetre::actionButton3()
{
    std::cout<<"Button 3 click"<<std::endl;
}
void maFenetre::actionButton4()
{
    std::cout<<"Button 4 click"<<std::endl;
}
void maFenetre::actionButton5()
{
    std::cout<<"Button 5 click"<<std::endl;
}
void maFenetre::actionTextEdit()
{
    std::cout<<"Texte edit: ["<<ui->lineEdit->text().toStdString()<<"]"<<std::endl;
}
