#ifndef MONWIDGETGL_H
#define MONWIDGETGL_H

#include <QtOpenGL/QtOpenGL>

class monWidgetGL : public QGLWidget
{
    Q_OBJECT
public:
    monWidgetGL(QGLWidget *parent = 0);
    ~monWidgetGL();


    void afficher();
    void wireframe(bool est_actif);

protected:

    void initializeGL();
    void paintGL();
    void keyPressEvent(QKeyEvent *event);

private:

    bool etat_affichage;


    std::vector<float> sommets;
    std::vector<float> uv_texture;

    unsigned int identifiant_texture;
    float translation_x,translation_y,translation_z;

};

#endif // MONWIDGETGL_H
