
#include <QApplication>
#include <iostream>

#include "maFenetre.hpp"

#include "libcommon/exception_cpe.hpp"
#include "application_qt.hpp"

int main(int argc,char *argv[])
{
    try
    {
        application_qt app(argc,argv);
        maFenetre fenetre;

        std::cout<<"Affichage de la fenetre"<<std::endl;
        fenetre.show();

        std::cout<<"Lancement de l'application principale"<<std::endl;


        return app.exec();
    }
    catch(cpe::exception_cpe e)
    {
        std::cout<<std::endl;
        std::cout<<"==========================================================="<<std::endl;
        std::cout<<"Exception CPE recuperee dans fichier "<<__FILE__<<std::endl;
        std::cout<<e.info()<<std::endl;
        std::cout<<"==========================================================="<<std::endl;
    }
}
