


#include "application_qt.hpp"
#include "../libcommon/exception_cpe.hpp"

#include <iostream>

bool application_qt::notify(QObject * receiver, QEvent * event)
{
    try
    {
        return QApplication::notify(receiver, event);
    }
    catch(std::string& s)
    {
        std::cout<<std::endl;
        std::cout<< "Exception thrown (string):" << s<<std::endl;
    }
    catch(std::exception& e)
    {
        std::cout<<std::endl;
        std::cout<< "Exception thrown (std):" << e.what()<<std::endl;
    }
    catch(cpe::exception_cpe& e)
    {
        std::cout<<std::endl;
        std::cout<<e.report_exception()<<std::endl;

    }

    std::cout<<"Abort program"<<std::endl;
    abort();
    return false;

}
