#ifndef MONWIDGETGL_H
#define MONWIDGETGL_H

#include <QtOpenGL/QtOpenGL>

#include "lib3d/vec3.hpp"
#include "lib3d/vec2.hpp"
#include "libmesh/mesh.hpp"

class monWidgetGL : public QGLWidget
{
    Q_OBJECT
public:
    monWidgetGL(QGLWidget *parent = 0);
    ~monWidgetGL();


    void afficher();
    void wireframe(bool est_actif);


protected:

    void initializeGL();
    void paintGL();
    void keyPressEvent(QKeyEvent *event);


private:

    void affiche_quadrangle_sol();
    bool etat_affichage;


    cpe::mesh mesh_0;

    cpe::vec3 translation;
    double angle;

    unsigned int compteur_temps;

};

#endif // MONWIDGETGL_H
